<?php

class Mascot_Core_Desix_Modify_Widgets {
	private static $instance;
	public $sections = array();

	public function __construct() {
		add_action( 'elementor/element/tm-ele-section-title/title_shadow_options_styling/after_section_end', array( $this, 'tm_elementor_column_options' ), 10, 2 );
	}

	public static function get_instance() {
		if ( self::$instance === null ) {
			return new self();
		}

		return self::$instance;
	}

	public function tm_elementor_column_options( $element ){

		$element->start_controls_section(
			'horizontal_line_styling',
			[
				'label' => esc_html__( 'Horizontal Line Styling', 'mascot-core-desix' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
		$element->add_responsive_control(
			'title_square_box_position',
			[
				'label' => esc_html__( "Icon Position", 'mascot-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => [
					'left' => esc_html__( 'Left', 'mascot-core' ),
					'center'  => esc_html__( 'Center', 'mascot-core' ),
					'right'  => esc_html__( 'Right', 'mascot-core' ),
				],
				'default' => 'center',
				'prefix_class' => 'square-box-align-',
			]
		);
		$element->add_control(
			'title_square_box_styling',
			[
				'label' => esc_html__( 'Square Box?', 'mascot-core-desix' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'prefix_class' => 'square-box-current-theme-',
			]
		);
		$element->add_responsive_control(
			'title_square_box_bg_color',
			[
				'label' => esc_html__( "BG Color", 'mascot-core-desix' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}}.square-box-current-theme-yes .title:before' => 'background-color: {{VALUE}};'
				]
			]
		);
		$element->end_controls_section();

	}
}

if ( ! function_exists( 'mascot_core_desix_init_modify_widgets_handler' ) ) {
	function mascot_core_desix_init_modify_widgets_handler() {
		Mascot_Core_Desix_Modify_Widgets::get_instance();
	}

	add_action( 'init', 'mascot_core_desix_init_modify_widgets_handler', 1 );
}